<?php
/**
 * jlauthor
 *
 * @version 1.0
 * @author Vadim Kunicin(vadim@joomline.ru)
 * @copyright (C) 2013 by Vadim Kunicin(http://www.joomline.ru)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 **/

// no direct access
defined('_JEXEC') or die;

jimport('joomla.plugin.plugin');

class plgContentJLauthor extends JPlugin
{

    public function onContentPrepare($context, &$article, &$params, $page = 0){
	if($context == 'com_content.article'){

		JPlugin::loadLanguage( 'plg_content_JLauthor' );	



		if (strpos($article->text, '{jlauthor-off}') !== false) {
			$article->text = str_replace("{jlauthor-off}","",$article->text);
			return true;
		}

		if (strpos($article->text, '{jlauthor}') === false && !$this->params->def('autoAdd')) {
			return true;
		}

		$exceptcat = is_array($this->params->def('categories')) ? $this->params->def('categories') : array($this->params->def('categories'));
		if (!in_array($article->catid,$exceptcat)) {
			$view = JRequest::getCmd('view');
			if ($view == 'article') {

				$doc = &JFactory::getDocument();

				$username = $this->params->def('username');
				$googleuser = $this->params->def('googleuser');
				$twitteruser = $this->params->def('twitteruser');
				$urlsite = $this->params->def('urlsite');
				$uservk = $this->params->def('uservk');
				$descblogger = $this->params->def('descblogger');

                $doc->addStyleSheet('/plugins/content/jlauthor/css/jlauthor.css');
				$doc->addScript("//vk.com/js/api/openapi.js?97");
				$doc->addScriptDeclaration($script);

				$pagehash = $article->id;
				$scriptPage = <<<HTML
       			<aside id="authorblock" itemscope itemtype="http://schema.org/Person">
	    			<h3>
						<a class="name" itemprop="name" href="//plus.google.com/$googleuser?rel=author" rel="me">$username</a>
					</h3>
				
					<div id="authoravatar">
						<img src="https://profiles.google.com/s2/photos/profile/$googleuser" />
					</div>
					<div id="authorinfo">
					    <div itemprop="contactpoint" id="authordesc">
							$descblogger
						</div>
						<div id="authorsocial"><a class="i-site" title="Перейти на сайт автора" rel="nofollow" target="_blank" href="$urlsite">
					     		Веб-сайт
					    	</a>

				    		<div class="i-gplus">
						<div class="g-follow" data-annotation="bubble" data-height="20" data-href="//plus.google.com/$googleuser" data-rel="author"></div>
				    	</div>
					<div class="i-twitter">
					<a href="https://twitter.com/$twitteruser" class="twitter-follow-button" data-show-count="true" data-lang="ru" data-dnt="true">Читать @$twitteruser</a>
					            	<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>
					</div>
            
					<script type="text/javascript">
					  window.___gcfg = {lang: 'ru'};

					  (function() {
					    var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
					    po.src = 'https://apis.google.com/js/plusone.js';
					    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
					  })();
					</script>
					<div class="i-vk">
						<div id="vk_subscribe"></div>
						<script type="text/javascript">
						VK.Widgets.Subscribe("vk_subscribe", {soft: 1}, $uservk);
						</script>
					</div>
				    	</div>
                        
					</div>

				</aside>
<div class="cls"></div>
					
HTML;

				
				if ($this->params->def('autoAdd') == 1) {
					$article->text .= $scriptPage;
				} else {
					$article->text = str_replace("{jlauthor}",$scriptPage,$article->text);
				}

			}
		} else {
			$article->text = str_replace("{jlauthor}","",$article->text);
		}

	}
}

}